This class extends linear systems with uncertain, but fixed parameters to linear systems with time-varying parameters: 
\begin{equation*} 
	\dot{x}(t) = A(t) x(t) + \tilde{u}(t), \quad x(0)\in \mathcal{X}_O \subset \mathbb{R}^n, \quad A(t)\in \mathcal{A}, \quad \tilde{u}(t)\in \tilde{\mathcal{U}}.
\end{equation*} 
The set of state matrices can be represented by any matrix set introduced in Sec. \ref{sec:matrixSetRepresentationsAndOperations}. The provided methods of the class are identical to the ones in Sec. \ref{sec:linearParamSystems}, except that the computation is based on \cite{Althoff2011a}.

Since the \texttt{linVarSys} class is written using the new structure for object oriented programming in MATLAB, it has the following public properties:
\begin{itemize}
 \item \texttt{A} -- set of system matrices $\mathcal{A}$, see \eqref{eq:linearParamSystems_matrices}. The set of matrices can be represented by any matrix set introduced in Sec. \ref{sec:matrixSetRepresentationsAndOperations}.
 \item \texttt{B} -- set of input matrices $\mathcal{B}$, see \eqref{eq:linearParamSystems_matrices}. The set of matrices can be represented by any matrix set introduced in Sec. \ref{sec:matrixSetRepresentationsAndOperations}.
 \item \texttt{stepSize} -- constant step size $t_{k-1} - t_k$ for time intervals of the reachable set computation.
 \item \texttt{taylorTerms} -- number of Taylor terms for computing the matrix exponential, see \cite[Theorem 3.2]{Althoff2010a}.
 \item \texttt{mappingMatrixSet} -- set of exponential matrices, see Sec. \ref{sec:matrixSetRepresentationsAndOperations}.
 \item \texttt{E} -- remainder of matrix exponential computation.
 \item \texttt{F} -- uncertain matrix to bound the error for time interval solutions, see e.g. \cite[Proposition 3.1]{Althoff2010a}.
 \item \texttt{inputF} -- uncertain matrix to bound the error for time interval solutions of inputs, see e.g. \cite[Proposition 3.4]{Althoff2010a}.
 \item \texttt{inputCorr} -- additional uncertainty of the input solution if origin is not contained in input set, see \cite[Equation 3.9]{Althoff2010a}.
 \item \texttt{Rinput} -- reachable set of the input solution, see Sec. \ref{sec:linearSystems}.
 \item \texttt{Rtrans} -- reachable set of the input $u_c$, see Sec. \ref{sec:linearSystems}.
 \item \texttt{sampleMatrix} -- possible matrix $\hat{A}$ such that $\hat{A} \in \mathcal{A}$.
\end{itemize}